Skip to content
DELETE

Delete a client

https://api.kustom.co/elements/v1/clients/{clientId}

Removes an API client owned by the merchant from the system.

Parameters1 field
  • clientIdstringrequiredin path

    Client identifier

200
Response0 fields

OK

No response body — this status returns headers only.

400
Response4 fields

Bad Request

  • messagestringoptional
  • additional_contextobjectoptional
    1 field in additional_context
    • keystringoptional

      Any additional property. The key is free-form; the value has this shape.

  • codestringoptional
    • CLIENT_NOT_FOUND
    • ORIGIN_NOT_ALLOWED
    • HTTP_CLIENT_ERROR
    • HTTP_SERVER_ERROR
    • DOMAIN_NOT_WHITELISTED
    • PLACEMENT_CONFIG_MISSING
    • ARGUMENT_NOT_VALID
    • CONSTRAINT_VIOLATION
    • PROFILE_DOESNT_BELONG_TO_MERCHANT
    • MERCHANT_NOT_FOUND
401
Response4 fields

Unauthorized

  • messagestringoptional
  • additional_contextobjectoptional
    1 field in additional_context
    • keystringoptional

      Any additional property. The key is free-form; the value has this shape.

  • codestringoptional
    • CLIENT_NOT_FOUND
    • ORIGIN_NOT_ALLOWED
    • HTTP_CLIENT_ERROR
    • HTTP_SERVER_ERROR
    • DOMAIN_NOT_WHITELISTED
    • PLACEMENT_CONFIG_MISSING
    • ARGUMENT_NOT_VALID
    • CONSTRAINT_VIOLATION
    • PROFILE_DOESNT_BELONG_TO_MERCHANT
    • MERCHANT_NOT_FOUND
502
Response4 fields

Bad Gateway

  • messagestringoptional
  • additional_contextobjectoptional
    1 field in additional_context
    • keystringoptional

      Any additional property. The key is free-form; the value has this shape.

  • codestringoptional
    • CLIENT_NOT_FOUND
    • ORIGIN_NOT_ALLOWED
    • HTTP_CLIENT_ERROR
    • HTTP_SERVER_ERROR
    • DOMAIN_NOT_WHITELISTED
    • PLACEMENT_CONFIG_MISSING
    • ARGUMENT_NOT_VALID
    • CONSTRAINT_VIOLATION
    • PROFILE_DOESNT_BELONG_TO_MERCHANT
    • MERCHANT_NOT_FOUND

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.